local gr, pi, sin, cos, mod = love.graphics, math.pi, math.sin, math.cos, math.mod
local distortion = require( 'distortion' )

function love.load()
	gr.setBackgroundColor(0,0,55)
	love.window.setTitle( 'Mal de Mer' )
	clock = {
		face	= gr.newImage('c_face.png'),
		minute	= gr.newImage('c_minute.png'),
		hour	= gr.newImage('c_hour.png'),
		second	= gr.newImage('c_second.png')
		}
	iw,ih		= clock.face:getWidth(), clock.face:getHeight()
	love.window.setMode( iw, ih, {} )
	distortion.time	=  0
	distortion.size	= 12
	distortion.effect:send( 'size', distortion.size )
	canvas = gr.newCanvas( iw, ih )
	end

function love.update( dt )
	m = os.date( '%M' )
	h = tonumber( os.date( '%H') )
	if h > 12 then h = h - 12 end
	s = os.date('%S')
	M = os.date('%m')
	D = os.date('%d')
	Y = os.date('%Y')
	ah	= 2 * pi * h / 12 + 19 * pi/60 + pi*m/(360)
	am	= 2 * pi * m / 60 +100 * pi/60 + pi*s/1800
	as	= 2 * pi * s / 60 - 26 * pi/30
	distortion.time = distortion.time + dt
	distortion.effect:send( 'time', distortion.time )
	gr.setCanvas( canvas )
		canvas:clear()
		gr.draw( clock.face )
		gr.draw( clock.hour, iw/2, ih/2, ah,  1, 1,48,33 )
		gr.draw( clock.minute, iw/2, ih/2, am,1, 1,17,40 )
		gr.draw( clock.second, iw/2, ih/2, as,1, 1,12,25 )
		local tm = h..':'..m..':'..s
		local lw = gr.getFont():getWidth( tm ) - 10
		gr.setColor( 255, 0, 0 )
		gr.print( tm, (iw - lw) / 2, ih - 80 )
		gr.setColor( 255, 255, 255 )
		gr.setCanvas()
	end

function love.draw()
	gr.setShader( distortion.effect )
	gr.draw( canvas )
	love.graphics.setShader()
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit( ) end
	end
